nlohmann::detail::wide_string_input_adapter< BaseInputAdapter, WideCharType > Class Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::wide_string_input_adapter< BaseInputAdapter, WideCharType >:

## Public Types

using | char_type = char

## Public Member Functions

| wide_string_input_adapter (BaseInputAdapter base)
std::char_traits< char >::int_type | get_character () noexcept

## Private Member Functions

template<size_t T>
void | fill_buffer ()

## Private Attributes

BaseInputAdapter | base_adapter
std::array< std::char_traits< char >::int_type, 4 > | utf8_bytes = {{0, 0, 0, 0}}
| a buffer for UTF-8 bytes More...
std::size_t | utf8_bytes_index = 0
| index to the utf8_codes array for the next valid byte More...
std::size_t | utf8_bytes_filled = 0
| number of valid bytes in the utf8_codes array More...

## Detailed Description

### template<typename BaseInputAdapter, typename WideCharType>
class nlohmann::detail::wide_string_input_adapter< BaseInputAdapter, WideCharType >

Definition at line 5511 of file json.hpp.

## Member Typedef Documentation

## char_type

template<typename BaseInputAdapter , typename WideCharType >

using nlohmann::detail::wide_string_input_adapter< BaseInputAdapter, WideCharType >::char_type = char

Definition at line 5514 of file json.hpp.

## Constructor & Destructor Documentation

## wide_string_input_adapter()

template<typename BaseInputAdapter , typename WideCharType >

nlohmann::detail::wide_string_input_adapter< BaseInputAdapter, WideCharType >::wide_string_input_adapter | ( | BaseInputAdapter | base | ) |

inline

Definition at line 5516 of file json.hpp.

## Member Function Documentation

## fill_buffer()

template<typename BaseInputAdapter , typename WideCharType >
template<size_t T>

void nlohmann::detail::wide_string_input_adapter< BaseInputAdapter, WideCharType >::fill_buffer | ( |  | ) |

inline private

Definition at line 5540 of file json.hpp.

## get_character()

template<typename BaseInputAdapter , typename WideCharType >

std::char_traits<char>::int_type nlohmann::detail::wide_string_input_adapter< BaseInputAdapter, WideCharType >::get_character | ( |  | ) |

inline noexcept

Definition at line 5519 of file json.hpp.

References JSON_ASSERT.

## Member Data Documentation

## base_adapter

template<typename BaseInputAdapter , typename WideCharType >

BaseInputAdapter nlohmann::detail::wide_string_input_adapter< BaseInputAdapter, WideCharType >::base_adapter

private

Definition at line 5537 of file json.hpp.

## utf8_bytes

template<typename BaseInputAdapter , typename WideCharType >

std::array<std::char_traits<char>::int_type, 4> nlohmann::detail::wide_string_input_adapter< BaseInputAdapter, WideCharType >::utf8_bytes = {{0, 0, 0, 0}}

private

a buffer for UTF-8 bytes

Definition at line 5546 of file json.hpp.

## utf8_bytes_filled

template<typename BaseInputAdapter , typename WideCharType >

std::size_t nlohmann::detail::wide_string_input_adapter< BaseInputAdapter, WideCharType >::utf8_bytes_filled = 0

private

number of valid bytes in the utf8_codes array

Definition at line 5551 of file json.hpp.

## utf8_bytes_index

template<typename BaseInputAdapter , typename WideCharType >

std::size_t nlohmann::detail::wide_string_input_adapter< BaseInputAdapter, WideCharType >::utf8_bytes_index = 0

private

index to the utf8_codes array for the next valid byte

Definition at line 5549 of file json.hpp.

The documentation for this class was generated from the following file:

- json.hpp